from django.db import models

# Create your models here.
class Artist(models.Model):
    artist_name = models.CharField(max_length=100)
    birth_name = models.CharField(max_length=100)
    bio = models.CharField(max_length=700)
    monthly_listeners = models.IntegerField()

    def __str__(self):
        return self.artist_name

class Album(models.Model):
    album_name = models.CharField(max_length=100)
    artist = models.ForeignKey(Artist, on_delete=models.CASCADE)
    song_count = models.IntegerField()
    description = models.CharField(max_length=750)
    label = models.CharField(max_length=100)
    release_date = models.DateField()

    def __str__(self):
        return self.album_name

class Song(models.Model):
    song_title = models.CharField(max_length=100)
    artist = models.ForeignKey(Artist, on_delete=models.CASCADE)
    album = models.ForeignKey(Album, on_delete=models.CASCADE)
    song_length = models.IntegerField()
    music_video = models.BooleanField()
    lyrics = models.CharField(max_length=10000)

    def __str__(self):
        return self.song_title